Bug 15561 - Поддержка именования разделов по UUID/label
: Поддержка именования разделов по UUID/label
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/propagator)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-05-06 19:51 by
Modified: 2008-05-12 12:15 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-05-06 19:51:34
Напоминалка про поддержку именования разделов по UUID/label в загрузочных
параметрах
------- Comment #1 From 2008-05-08 00:07:31 -------
fixed in 20080301-alt5
------- Comment #2 From 2008-05-09 15:46:17 -------
(In reply to comment #1)
> fixed in 20080301-alt5

Не работает :(
Указываю в параметрах при загрузке:
... automatic=method:disk,uuid:4824-271E

последние записи в логах:
AUTOMATIC: parameter disk for method means returning Hard disk
SCSI/1: sda is a ST96812AS
IDE/0: hda is a HL-DT-ST DVDRAM GMA-4082N
SCSI/1: sdb is a TS4GJFV60

и мне предлагается выбрать вручную между sda и sdb, далее - раздел, образ...
С label точно так же.
Что-то не так делаю? :(
------- Comment #3 From 2008-05-09 16:01:41 -------
это fat ? там uuid, хм, странный.
что на него показывает blkid -s UUID ?

------- Comment #4 From 2008-05-09 16:07:11 -------
(In reply to comment #3)
> это fat ? там uuid, хм, странный.

Да, fat. у флешек такие вроде вечно, короткие..

> что на него показывает blkid -s UUID ?

/dev/sdc1: UUID="4824-271E"


------- Comment #5 From 2008-05-09 16:10:30 -------
после того, как выскочило приглашение выбрать диск и т.д,
можно перейти на вторую консоль и выполнить echo /dev/disk/by-uuid/*
что там оказывается ?
------- Comment #6 From 2008-05-09 16:37:58 -------
Прошу прощения, наверное, я что-то трагически-упорно не так делал.
Внезапно оно заработало, и с uuid, и с label. Ниччо не понимаю.
Еще поиграюсь до завтра и закрою тогда баг, если всё нормально будет.

*в задумчивости* но ведь несколько раз подряд не работало...